Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List webhook deliveries for given endpoint
cURL
curl --request GET \ --url https://api.rootly.com/v1/webhooks/endpoints/{endpoint_id}/deliveries \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.rootly.com/v1/webhooks/endpoints/{endpoint_id}/deliveries" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rootly.com/v1/webhooks/endpoints/{endpoint_id}/deliveries', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.rootly.com/v1/webhooks/endpoints/{endpoint_id}/deliveries", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.rootly.com/v1/webhooks/endpoints/{endpoint_id}/deliveries" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.rootly.com/v1/webhooks/endpoints/{endpoint_id}/deliveries") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.rootly.com/v1/webhooks/endpoints/{endpoint_id}/deliveries") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "id": "<string>", "type": "webhooks_deliveries", "attributes": { "endpoint_id": "<string>", "payload": "<string>", "status": "pending", "response_status": 123, "delivered_at": "<string>", "created_at": "<string>", "updated_at": "<string>" } } ], "links": { "self": "<string>", "first": "<string>", "prev": "<string>", "next": "<string>", "last": "<string>" }, "meta": { "current_page": 123, "next_page": 123, "prev_page": 123, "total_count": 123, "total_pages": 123, "next_cursor": "<string>" }, "included": [ { "id": "<string>", "type": "<string>", "attributes": {}, "relationships": {} } ] }
{ "errors": [ { "title": "<string>", "status": "<string>", "code": "<string>", "detail": "<string>" } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Delivery status: pending, success, failed. Comma-separated. Unknown values are ignored; if no valid values remain, the result set is empty.
Created after this timestamp (exclusive). Use ISO 8601 with Z or a numeric UTC offset.
Created at or after this timestamp (inclusive). Use ISO 8601 with Z or a numeric UTC offset.
Created before this timestamp (exclusive). Use ISO 8601 with Z or a numeric UTC offset.
Created at or before this timestamp (inclusive). Use ISO 8601 with Z or a numeric UTC offset.
Delivered after this timestamp (exclusive). Use ISO 8601 with Z or a numeric UTC offset.
Delivered at or after this timestamp (inclusive). Use ISO 8601 with Z or a numeric UTC offset.
Delivered before this timestamp (exclusive). Use ISO 8601 with Z or a numeric UTC offset.
Delivered at or before this timestamp (inclusive). Use ISO 8601 with Z or a numeric UTC offset.
success
Show child attributes
Was this page helpful?
Contact support